<p align="center">
  <img alt="CometChat" src="https://assets.cometchat.io/website/images/logos/banner.png">
</p>

# CometChat SDK for Javascript
The CometChat SDK is a robust toolkit that developers can utilize to swiftly incorporate a reliable and fully-featured chat functionality into an existing or new application. It removes the complexity of building a chat infrastructure from scratch, thus accelerating the development process and reducing time to market.

## Prerequisites 
- [`Visual Studio Code`](https://code.visualstudio.com/) or any other code editor
- [`npm`](https://www.npmjs.com/get-npm)


## Getting Started

To set up Javascript SDK and utilize CometChat for your chat and calls functionality, you'll need to follow these steps:
- Register at the [CometChat Dashboard](https://app.cometchat.com/) to create an account.
- After registering, log into your CometChat account and create a new app. Once created, CometChat will generate an Auth Key and App ID for you. Keep these credentials secure as you'll need them later.
- Check the [key concepts](https://cometchat.com/docs/sdk/javascript/key-concepts) to understand the basic components of CometChat.
- Refer to the [Integration Steps](https://cometchat.com/docs/sdk/javascript/setup) in our documentation to integrate the SDK into your app.

## Help and Support
For issues running the project or integrating with our SDK, consult our [documentation](https://www.cometchat.com/docs/sdk/javascript/overview) or create a [support ticket](https://help.cometchat.com/hc/en-us) or seek real-time support via the [CometChat Dashboard](https://app.cometchat.com/).